# 6. الاستعلام: الحصول على "ZonesMaps"

الحصول على "خرائط\_المناطق" للحقل.

## طلب

{% code overflow="wrap" lineNumbers="true" %}

```graphql
استعلام GetZonesMaps {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      vectorAnalysisMaps (vectorAnalysisMapUuids: ["<placeholder_of_vectoranalusismap_uuid>"])  {
        uuid
        معرف_الحقل
        الاسم
        النوع
        عدد_المناطق
        رابط_خريطة_المناطق
        المعلمات {
          حجم_البكسل
          عدد_المناطق
          المؤشر
        }
        خرائط_جغرافية {
          رابط
          الاسم_القصير
          الاسم_الكامل
          الوصف
        }
      }
    }
  }
}
```

{% endcode %}

## الاستجابة

### البيانات\_الوصفية

الاستجابة تحتوي على JSON أدناه.&#x20;

```json
{
  "data": {
    "getFarms": [
      {
        "fields": [
          {
            "vectorAnalysisMaps": [
              {
                "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
                "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
                "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
                "type": "عام",
                "numberOfZones": 5,
                "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee",
                "parameters": {
                  "pixelSize": 3,
                  "numberOfZones": 5,
                  "index": null
                },
                "geoMaps": [
                  {
                    "url": "https://api.geopard.tech/geo/map?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&FORMAT=image/png&TRANSPARENT=true&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee&LAYERS=yield_zone_map_view&exceptions=application/vnd.ogc.se_inimage&SRS=EPSG:3857&STYLES=zonesmap_5&HEIGHT=512&WIDTH=512&BBOX=1241176.6915898728,6782812.894653523,1241800.9875526938,6783974.322349498&",
                    "shortName": "المناطق",
                    "fullName": null,
                    "description": null
                  },
                  {
                    "url": "https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee&LAYERS=yield_zone_map_view&SRS=EPSG:3857&STYLES=zonesmap_5&HEIGHT=64&BBOX=1241176.6915898728,6782812.894653523,1241800.9875526938,6783974.322349498&",
                    "shortName": "صورة_مُصغّرة",
                    "fullName": null,
                    "description": null
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```

### إحصاءات المناطق والهندسات

تفاصيل حول إحصاءات المناطق والهندسات موجودة في `رابط_خريطة_المناطق` .

عينة من الإحصاءات من `الخصائص` موجودة أدناه.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "القيمة",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```

### عرض WMS

المرئيات موجودة في `geoMaps` كـ WMS. كيفية استخدام عرض WMS موضحة [هنا](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nqat-nhayh-jghrafyh-llwswl-ila-albyanat-almkanyh/wms-jlb-alswr-alnqtyh-ltbqat-albyanat-almkanyh/6.-zonesmap-mkhtt-alwan-mkhss.md) و [هنا](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nqat-nhayh-jghrafyh-llwswl-ila-albyanat-almkanyh/wms-jlb-alswr-alnqtyh-ltbqat-albyanat-almkanyh/7.-zonesmap-alswrh-almsghrh.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/6.-alastalam-alhswl-ala-zonesmaps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
